package tech.riemann.ims.service.material.impl;

import tech.riemann.ims.entity.material.StocktakingAudit;
import tech.riemann.ims.mapper.material.StocktakingAuditMapper;
import tech.riemann.ims.service.material.IStocktakingAuditService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.RequiredArgsConstructor;

import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 盘点审核表 服务实现类
 * </p>
 *
 * @author mayong)
 *
 * @since 2024-12-06 10:32:29
 */
@Service
@RequiredArgsConstructor
public class StocktakingAuditServiceImpl extends ServiceImpl<StocktakingAuditMapper, StocktakingAudit> implements IStocktakingAuditService {

    private final Dao dao;

    /**
     * @return
     * @see org.nutz.spring.boot.service.ExtService#dao()
     */
    @Override
    public Dao dao() {
        return dao;
    }
    
    /**
     * @return
     * @see org.nutz.spring.boot.service.interfaces.EntityService#getEntityType()
     */
    @Override
    public Class<StocktakingAudit> getEntityType() {
        return StocktakingAudit.class;
    }
}
