package tech.riemann.ims.enums;

import club.zhcs.lina.utils.enums.ICodeBook;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author mayong
 * @since 2024/12/6 10:09
 */
@Getter
@AllArgsConstructor
public enum HandleEnum implements ICodeBook {

    NO_ACTION("0", "无需处理"),
    IGNORE_AND_SAVE("2", "忽略并保存"),
    REPLENISH("3", "补货"),
    OTHER("4", "其他")
    ;

    @EnumValue
    final String code;
    final String description;
}
